## command-vertex-data command-vertex-data |

## Synopsis

    #define             COMMAND_VERTEX_DATA_DEFAULT_WEIGHT
    #define             COMMAND_VERTEX_DATA_WEIGHT_DELTA
    const Boolean       command_vertex_data_equals          (const Object data_1,
                                                             const Object data_2);
    void                command_vertex_data_free            (const Command_Vertex_Data data);
    Command_Vertex_Data  command_vertex_data_create         (const char *keyboard_id,
                                                             const char *key_id,
                                                             const float weight);
    Command_Vertex_Data  command_vertex_data_create_from_log
                                                            (char *line);
    const char *        command_vertex_data_get_keyboard_id (const Command_Vertex_Data data);
    const char *        command_vertex_data_get_key_id      (const Command_Vertex_Data data);
    void                command_vertex_data_set_weight      (const Command_Vertex_Data data,
                                                             const float weight);
    float               command_vertex_data_get_weight      (const Command_Vertex_Data data);
    void                command_vertex_data_dump_text       (const Command_Vertex_Data data,
                                                             FILE *stream);
    void                command_vertex_data_dump_binary     (const Command_Vertex_Data data,
                                                             FILE *stream);

## Description

## Details

### COMMAND_VERTEX_DATA_DEFAULT_WEIGHT

    #define COMMAND_VERTEX_DATA_DEFAULT_WEIGHT 1.0

### COMMAND_VERTEX_DATA_WEIGHT_DELTA

    #define COMMAND_VERTEX_DATA_WEIGHT_DELTA 1.0

### command_vertex_data_equals ()

    const Boolean       command_vertex_data_equals          (const Object data_1,
                                                             const Object data_2);

`data_1` : |
`data_2` : |
Returns : |

### command_vertex_data_free ()

    void                command_vertex_data_free            (const Command_Vertex_Data data);

`data` : |

### command_vertex_data_create ()

    Command_Vertex_Data  command_vertex_data_create         (const char *keyboard_id,
                                                             const char *key_id,
                                                             const float weight);

`keyboard_id` : |
`key_id` : |
`weight` : |
Returns : |

### command_vertex_data_create_from_log ()

    Command_Vertex_Data  command_vertex_data_create_from_log
                                                            (char *line);

`line` : |
Returns : |

### command_vertex_data_get_keyboard_id ()

    const char *        command_vertex_data_get_keyboard_id (const Command_Vertex_Data data);

`data` : |
Returns : |

### command_vertex_data_get_key_id ()

    const char *        command_vertex_data_get_key_id      (const Command_Vertex_Data data);

`data` : |
Returns : |

### command_vertex_data_set_weight ()

    void                command_vertex_data_set_weight      (const Command_Vertex_Data data,
                                                             const float weight);

`data` : |
`weight` : |

### command_vertex_data_get_weight ()

    float               command_vertex_data_get_weight      (const Command_Vertex_Data data);

`data` : |
Returns : |

### command_vertex_data_dump_text ()

    void                command_vertex_data_dump_text       (const Command_Vertex_Data data,
                                                             FILE *stream);

`data` : |
`stream` : |

### command_vertex_data_dump_binary ()

    void                command_vertex_data_dump_binary     (const Command_Vertex_Data data,
                                                             FILE *stream);

`data` : |
`stream` : |